gtkmm: Gtk::TreeIterBase3 Class Reference

gtkmm 4.18.0

Public Member Functions | List of all members
Gtk::TreeIterBase3 Class Reference
TreeView Classes

Base of TreeIter. More...

`#include <gtkmm/treeiter.h>`

Inheritance diagram for Gtk::TreeIterBase3:
[legend]

## Public Member Functions
bool | equal (const TreeIterBase3 & other) const
int | get_stamp () const
| This is only useful when implementing a custom Gtk::TreeModel class.
void | set_stamp (int stamp)
| This is only useful when implementing a custom Gtk::TreeModel class.
Public Member Functions inherited from Gtk::TreeIterBase
| TreeIterBase (const TreeIterBase & other) noexcept
TreeIterBase & | operator= (const TreeIterBase & other) noexcept
| TreeIterBase (TreeIterBase && other) noexcept
TreeIterBase & | operator= (TreeIterBase && other) noexcept
| TreeIterBase ()
| TreeIterBase (const GtkTreeIter * gobject)
GtkTreeIter * | gobj ()
| Provides access to the underlying C instance.
const GtkTreeIter * | gobj () const
| Provides access to the underlying C instance.

## Additional Inherited Members
Static Public Member Functions inherited from Gtk::TreeIterBase
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Protected Attributes inherited from Gtk::TreeIterBase
GtkTreeIter | gobject_

## Detailed Description

Base of TreeIter.

Contains the common parts of TreeIter<TreeRow> and TreeIter<TreeConstRow>.

Deprecated
  4.10: Use Gio::ListModel instead.

## Member Function Documentation

## ◆ equal()

bool Gtk::TreeIterBase3::equal | ( | const TreeIterBase3 & | other | ) | const

## ◆ get_stamp()

int Gtk::TreeIterBase3::get_stamp | ( |  | ) | const

This is only useful when implementing a custom Gtk::TreeModel class.

Compare the iterator's stamp with your model's stamp to discover whether it is valid.

See also
  set_stamp().

Returns
  The iterator's stamp.

## ◆ set_stamp()

void Gtk::TreeIterBase3::set_stamp | ( | int | stamp | ) |

This is only useful when implementing a custom Gtk::TreeModel class.

Set the stamp to be equal to your model's stamp, to mark the iterator as valid. When your model's structure changes, you should increment your model's stamp to mark all older iterators as invalid. They will be recognised as invalid because they will then have an incorrect stamp.